Run of scrub-obsolete for haskell-lambdabot-haskell-plugins

Try this locally (using the lintian-brush package):

debcheckout haskell-lambdabot-haskell-plugins
cd haskell-lambdabot-haskell-plugins
deb-scrub-obsolete
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
[2021-05-22 06:39:27] Running ['scrub-obsolete']
[2021-05-22 06:39:27] Opening branch at https://salsa.debian.org/haskell-team/DHG_packages.git/,branch=master
[2021-05-22 06:40:26] Cached branch URL https://janitor.debian.net/git/haskell-lambdabot-haskell-plugins,branch=debian%2Flatest unavailable: Connection error: while sending GET /git/haskell-lambdabot-haskell-plugins/info/refs?service=git-upload-pack: Remote end closed connection without response
[2021-05-22 06:41:25] 8/4954)
[2021-05-22 07:22:19] Total 294857 (delta 2541), reused 4921 (delta 2509), pack-reused 289903
[2021-05-22 07:23:20] Workspace ready - starting.
[2021-05-22 07:24:25] assuming changelog needs to be updated since gbp dch only suppors a debian directory in the root of the repository Specify --no-update-changelog to override.
[2021-05-22 07:24:32] Opened schroot session unstable-amd64-sbuild-aa1978cf-766a-41ff-92a9-9d005fce67b1 (from unstable-amd64-sbuild)
[2021-05-22 07:24:32] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f881cc35ee0>, [functools.partial(<function python_tie_breaker at 0x7f881e12d430>, <GitWorkingTree of /home/janitor/tmp/janitor8d9blvpw/haskell-lambdabot-haskell-plugins>, 'p/haskell-lambdabot-haskell-plugins'), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-aa1978cf-766a-41ff-92a9-9d005fce67b1'), <function popcon_tie_breaker at 0x7f8816ca25e0>]))]
[2021-05-22 07:24:32] Building debian packages, running 'sbuild -A -s -v'.
[2021-05-22 10:26:28] failed to send keepalive
[2021-05-22 14:20:37] Built ['haskell-lambdabot-haskell-plugins_5.3-4~cme+obs1_amd64.changes'].
[2021-05-22 14:20:37] Running lintian
[2021-05-22 14:20:40] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 238, in run_worker
    import_branches(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 311, in import_branches
    import_branches_git(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 275, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 2004, in send_pack
    resp, read = self._smart_request(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 1945, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
breezy.errors.ConnectionError: Connection error: while sending POST /git/haskell-lambdabot-haskell-plugins/git-receive-pack: [Errno 32] Broken pipe

Full worker log Full build log